<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/constraintLayout"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/colorForegroundPage"
    tools:context="app.furmeet.events.system.schedule.fragments.ConventionSummaryFragment">

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="136dp"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="2dp"
                    android:orientation="vertical"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintTop_toTopOf="@+id/constraintLayout"
                    tools:layout_constraintLeft_creator="1"
                    tools:layout_constraintTop_creator="1">

                    <include layout="@layout/fragment_schedule_summary_urgentmessage" />

                    <include layout="@layout/fragment_schedule_summary_announcements" />

                    <LinearLayout
                        android:id="@+id/registrationTierSection"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="2dp"
                        android:layout_marginTop="0dp"
                        android:layout_marginEnd="2dp"
                        android:layout_marginBottom="2dp"
                        android:background="@drawable/ic_rounded_corner_edgier"
                        android:backgroundTint="@color/colorBase21"
                        android:foreground="?android:attr/selectableItemBackground"
                        android:orientation="horizontal">

                        <ImageView
                            android:id="@+id/imageView"
                            android:layout_width="96dp"
                            android:layout_height="42dp"
                            android:layout_margin="8dp"
                            android:layout_weight="1"
                            android:scaleType="centerCrop"
                            app:srcCompat="@drawable/ic_ticket_black"
                            app:tint="@color/colorBase04" />

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:orientation="horizontal">

                            <LinearLayout
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center"
                                android:layout_marginLeft="3dp"
                                android:layout_weight="1"
                                android:orientation="vertical">

                                <TextView
                                    android:id="@+id/textRegistrationTier"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:maxLines="1"
                                    android:text="TextView"
                                    android:textColor="@color/colorBase03"
                                    android:textSize="24sp" />

                                <TextView
                                    android:id="@+id/textRegistrationBenefits"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="TextView"
                                    android:textColor="@color/colorBase05" />
                            </LinearLayout>

                            <Space
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content" />

                            <ImageView
                                android:id="@+id/dropDownView"
                                android:layout_width="24dp"
                                android:layout_height="24dp"
                                android:layout_gravity="center_vertical"
                                android:src="@drawable/ic_arrow_drop_down_black_24dp"
                                app:tint="@color/colorBase04" />
                        </LinearLayout>

                    </LinearLayout>

                    <include layout="@layout/fragment_schedule_summary_countdown" />

                    <LinearLayout
                        android:id="@+id/whatsGoingOnSection"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="2dp"
                        android:layout_marginTop="0dp"
                        android:layout_marginEnd="2dp"
                        android:layout_marginBottom="2dp"
                        android:background="@drawable/ic_rounded_corner_edgier"
                        android:backgroundTint="@color/colorBase21"
                        android:orientation="vertical">

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:orientation="horizontal">

                            <ImageView
                                android:layout_width="96dp"
                                android:layout_height="42dp"
                                android:layout_margin="8dp"
                                android:layout_weight="1"
                                android:scaleType="centerCrop"
                                android:src="@drawable/ic_access_time_black_24dp"
                                app:tint="@color/colorBase04" />

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:orientation="vertical">

                                <TextView
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:text="@string/schedule_now_title"
                                    android:textColor="@color/colorBase03"
                                    android:textSize="24sp" />

                                <TextView
                                    android:id="@+id/eventsNowDescription"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:text="@string/schedule_now_n_events"
                                    android:textColor="@color/colorBase05" />
                            </LinearLayout>
                        </LinearLayout>

                        <LinearLayout
                            android:id="@+id/eventsNowContainer"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:orientation="vertical" />
                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/comingSoonSection"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="2dp"
                        android:layout_marginTop="0dp"
                        android:layout_marginEnd="2dp"
                        android:layout_marginBottom="2dp"
                        android:background="@drawable/ic_rounded_corner_edgier"
                        android:backgroundTint="@color/colorBase21"
                        android:orientation="vertical">

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:orientation="horizontal">

                            <ImageView
                                android:layout_width="96dp"
                                android:layout_height="42dp"
                                android:layout_margin="8dp"
                                android:layout_weight="1"
                                android:scaleType="centerCrop"
                                android:src="@drawable/ic_av_timer_black_24dp"
                                app:tint="@color/colorBase04" />

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:orientation="vertical">

                                <TextView
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:text="@string/schedule_coming_title"
                                    android:textColor="@color/colorBase03"
                                    android:textSize="24sp" />

                                <TextView
                                    android:id="@+id/eventsComingDescription"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:text="@string/schedule_coming_n_events"
                                    android:textColor="@color/colorBase05" />
                            </LinearLayout>
                        </LinearLayout>

                        <LinearLayout
                            android:id="@+id/eventsComingContainer"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:orientation="vertical" />
                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/mapsSection"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="2dp"
                        android:layout_marginTop="0dp"
                        android:layout_marginEnd="2dp"
                        android:layout_marginBottom="2dp"
                        android:background="@drawable/ic_rounded_corner_edgier"
                        android:backgroundTint="@color/colorBase21"
                        android:orientation="vertical">

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:orientation="horizontal">

                            <ImageView
                                android:layout_width="96dp"
                                android:layout_height="42dp"
                                android:layout_margin="8dp"
                                android:layout_weight="1"
                                android:scaleType="centerCrop"
                                android:src="@drawable/ic_map_black_24dp"
                                app:tint="@color/colorBase04" />

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center_vertical"
                                android:layout_weight="1"
                                android:orientation="vertical">

                                <TextView
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:text="@string/conventionmaps"
                                    android:textColor="@color/colorBase03"
                                    android:textSize="24sp" />

                                <HorizontalScrollView
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:background="@color/colorBase21"
                                    android:fadingEdge="horizontal"
                                    android:overScrollMode="always"
                                    android:requiresFadingEdge="horizontal">

                                    <LinearLayout
                                        android:id="@+id/mapButtons"
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:gravity="center"
                                        android:orientation="horizontal" />
                                </HorizontalScrollView>
                            </LinearLayout>
                        </LinearLayout>
                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/r621watcher"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="vertical">

                        <include layout="@layout/fragment_schedule_summary_r621violation" />

                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/shareReminder"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="2dp"
                        android:layout_marginTop="0dp"
                        android:layout_marginEnd="2dp"
                        android:layout_marginBottom="2dp"
                        android:background="@drawable/ic_rounded_corner_edgier"
                        android:backgroundTint="@color/colorBase21"
                        android:orientation="vertical">

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:orientation="horizontal">

                            <ImageView
                                android:layout_width="96dp"
                                android:layout_height="42dp"
                                android:layout_margin="8dp"
                                android:layout_weight="1"
                                android:scaleType="centerCrop"
                                android:src="@drawable/ic_photo_camera_black_24dp"
                                app:tint="@color/colorBase04" />

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:orientation="vertical">

                                <TextView
                                    android:id="@+id/shareReminderTitle"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:textColor="@color/colorBase03"
                                    android:textSize="24sp" />

                                <TextView
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:text="@string/share_your_photos_with_our_hashtag"
                                    android:textColor="@color/colorBase05" />
                            </LinearLayout>
                        </LinearLayout>
                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/readTheRules"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="2dp"
                        android:layout_marginTop="0dp"
                        android:layout_marginEnd="2dp"
                        android:layout_marginBottom="2dp"
                        android:background="@drawable/ic_rounded_corner_edgier"
                        android:backgroundTint="@color/colorBase21"
                        android:foreground="?android:attr/selectableItemBackground"
                        android:orientation="vertical">

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:orientation="horizontal">

                            <ImageView
                                android:layout_width="96dp"
                                android:layout_height="42dp"
                                android:layout_margin="8dp"
                                android:layout_weight="1"
                                android:scaleType="centerCrop"
                                android:src="@drawable/ic_format_align_left_black_24dp"
                                app:tint="@color/colorBase04" />

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:orientation="vertical">

                                <TextView
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:text="@string/read_the_rules"
                                    android:textColor="@color/colorBase03"
                                    android:textSize="24sp" />

                                <TextView
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:text="@string/click_here_to_open_it_masc"
                                    android:textColor="@color/colorBase05" />
                            </LinearLayout>
                        </LinearLayout>
                    </LinearLayout>

                </LinearLayout>
            </LinearLayout>
        </LinearLayout>
    </androidx.core.widget.NestedScrollView>

</androidx.constraintlayout.widget.ConstraintLayout>